# Uses of Interface
org.eclipse.birt.report.engine.api.IExtractionResults

Packages that use IExtractionResults
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IExtractionResults in org.eclipse.birt.report.engine.api

Subinterfaces of IExtractionResults in org.eclipse.birt.report.engine.api
Modifier and Type
Interface
Description
`interface`
`ICubeExtractionResults`
Methods in org.eclipse.birt.report.engine.api that return IExtractionResults
Modifier and Type
Method
Description
`IExtractionResults`
IDatasetPreviewTask.`execute()`
execute the query and return the result set
`IExtractionResults`
IDataExtractionTask.`extract()`
Redeclare this method in order to return IExtractionResults.
`IExtractionResults`
IDataIterator.`getQueryResults()`
Returns `IExtractionResults` from which this data iterator is obtained.

## Uses of IExtractionResults in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension with parameters of type IExtractionResults
Modifier and Type
Method
Description
`void`
IDataExtractionExtension.`output(IExtractionResults results)`
Outputs data defined in the result set.